## org.freedesktop.NetworkManager.Checkpoint org.freedesktop.NetworkManager.Checkpoint — Configuration and State Snapshot |

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    Devices          readable   ao
    Created          readable   x
    RollbackTimeout  readable   u

## Description

A snapshot of NetworkManager state for a given device list

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "Devices" property

    Devices  readable   ao

Array of object paths for devices which are part of this checkpoint.

### The "Created" property

    Created  readable   x

The timestamp (in CLOCK_BOOTTIME milliseconds) of checkpoint creation.

### The "RollbackTimeout" property

    RollbackTimeout  readable   u

Timeout in seconds for automatic rollback, or zero.